unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComObj, Buttons, ExtDlgs;

type
  TF1 = class(TForm)
    E1: TEdit;
    FD1: TFontDialog;
    SPD1: TSavePictureDialog;
    BB1: TBitBtn;
    BB2: TBitBtn;
    procedure BB1Click(Sender: TObject);
    procedure BB2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  F1: TF1;

implementation

{$R *.dfm}

procedure TF1.BB1Click(Sender: TObject);
begin
  FD1.Execute
end;

procedure TF1.BB2Click(Sender: TObject);
Var
  v:OleVariant;
begin
  If SPD1.Execute Then
    Begin
      Case SPD1.FilterIndex Of
        //Bitmap
        1: Begin
             v:=CreateOleObject('EMail2Pic.EMail2BMP');
             v.EMail:=E1.Text;
             v.BMPFileName:=SPD1.FileName;
             v.SetEMailFont (FD1.Font.Color,FD1.Font.Name,FD1.Font.Size,FD1.Font.Charset,(fsBold In FD1.Font.Style),(fsItalic In FD1.Font.Style),(fsUnderline In FD1.Font.Style),(fsStrikeout In FD1.Font.Style));
             v.SaveBMP;
             v:=Unassigned;
           End;
        //Metafile
        2: Begin
             v:=CreateOleObject('EMail2Pic.EMail2MF');
             v.EMail:=E1.Text;
             v.MFFileName:=SPD1.FileName;
             v.SetEMailFont (FD1.Font.Color,FD1.Font.Name,FD1.Font.Size,FD1.Font.Charset,(fsBold In FD1.Font.Style),(fsItalic In FD1.Font.Style),(fsUnderline In FD1.Font.Style),(fsStrikeout In FD1.Font.Style));
             v.SaveMF;
             v:=Unassigned;
           End;
        //PNG
        3: Begin
             v:=CreateOleObject('EMail2Pic.EMail2PNG');
             v.EMail:=E1.Text;
             v.PNGFileName:=SPD1.FileName;
             v.SetEMailFont (FD1.Font.Color,FD1.Font.Name,FD1.Font.Size,FD1.Font.Charset,(fsBold In FD1.Font.Style),(fsItalic In FD1.Font.Style),(fsUnderline In FD1.Font.Style),(fsStrikeout In FD1.Font.Style));
             v.SavePNG;
             v:=Unassigned;
           End;
        //JPEG
        4: Begin
             v:=CreateOleObject('EMail2Pic.EMail2JPEG');
             v.EMail:=E1.Text;
             v.JPEGFileName:=SPD1.FileName;
             v.SetEMailFont (FD1.Font.Color,FD1.Font.Name,FD1.Font.Size,FD1.Font.Charset,(fsBold In FD1.Font.Style),(fsItalic In FD1.Font.Style),(fsUnderline In FD1.Font.Style),(fsStrikeout In FD1.Font.Style));
             v.SaveJPEG;
             v:=Unassigned;
           End;
      End;
    End;
end;

procedure TF1.FormCreate(Sender: TObject);
begin
  SPD1.InitialDir:=ExtractFilePath(Application.ExeName);
  SPD1.FilterIndex:=1;
end;

end.
